### Method

# EDataBook BookSqlite exec

since: 3.48

#### Declaration [src]

    gboolean
    e_book_sqlite_exec (
      EBookSqlite* ebsql,
      const gchar* sql_stmt,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Executes an SQLite statement. Use `e_book_sqlite_select()` for SELECT statements.

Available since: 3.48

#### Parameters

`sql_stmt`

  Type: `const gchar*`

  An SQLite statement to execute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.